> ## Documentation Index
> Fetch the complete documentation index at: https://developers.acorianacorretora.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List all customers



## OpenAPI

````yaml GET /customers
openapi: 3.0.1
info:
  title: Açoriana - FX as a Service
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  version: beta
servers:
  - url: https://fxaas-dev.acorianacorretora.com.br
security: []
paths:
  /customers:
    get:
      tags:
        - Customer
      summary: Return all registered customers
      parameters:
        - $ref: '#/components/parameters/Authorization'
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    Authorization:
      name: Authorization
      in: header
      required: true
      schema:
        type: string
        example: Bearer Token
      description: Authorization header
  schemas:
    CustomerResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the customer
        name:
          type: string
          nullable: true
          description: Customer's name
        tax_id:
          type: string
          description: Customer's tax identification number
        email:
          type: string
          nullable: true
          description: Customer's email address
        legal_type:
          type: string
          description: Legal classification of the customer
        created_at:
          type: string
          format: date-time
          description: Timestamp when the customer record was created
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the customer record was last updated
        deleted_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the customer record was deleted (if applicable)
        status:
          type: string
          description: Current status of the customer
      required:
        - id
        - tax_id
        - legal_type
        - created_at
        - status
    Error:
      required:
        - message
      type: object
      properties:
        message:
          description: message of the error
          type: string

````